This module renders the entire score. It calculates the layout first based on the computed dimensions.

### Hierarchy

- SuiScoreRender

## Index

### Constructors

- constructor

### Methods

- layout
- measureRenderedElements

## Constructors

### constructor

- new SuiScoreRender(params: ScoreRenderParams): SuiScoreRender

- - Defined in src/render/sui/scoreRender.ts:48

  #### Parameters

  - ##### params: ScoreRenderParams

  #### Returns SuiScoreRender

## Methods

### layout

- layout(): void

- - Defined in src/render/sui/scoreRender.ts:591

  This calculates the position of all the elements in the score, then renders the score

  #### Returns void

### measureRenderedElements

- measureRenderedElements(vxSystem: VxSystem, measures: SmoMeasure[], modifiers: StaffModifierBase[], printing: boolean): void

- - Defined in src/render/sui/scoreRender.ts:225

  for music we've just rendered, get the bounding boxes. We defer this step so we don't force a reflow, which can slow rendering.

  #### Parameters

  - ##### vxSystem: VxSystem

  - ##### measures: SmoMeasure[]

  - ##### modifiers: StaffModifierBase[]

  - ##### printing: boolean

  #### Returns void

Generated using TypeDoc